; SetSaveFormat
; Sets the save format to match the current drawing extension

(defun SetSaveFormat ( / ext)
	(setq ext (strcase (acet-filename-extension  (getvar 'DWGNAME)))) ; retrieve the current drawing file extension
		(cond ((= ".DXF" ext)
						(setvar 'SaveFormat 5) ; If drawing is DXF, set saveformat to 2013 .DXF
						(princ "\nSave format set to .DXF\n")
					)
					(T (setvar 'SaveFormat 4) ; Otherwise set saveformat to 2013 .DWG
						 (princ "\nSave format set to .DWG\n")	
					) 
		)
	(prin1)
)

; Set a reactor to call SetSaveFormat each time the current drawing is changed
(vlr-docmanager-reactor nil '((:vlr-documentBecameCurrent . SetSaveFormat)))

; Set a reactor to call SetSaveFormt each time the drawing is saved
(vlr-editor-reactor nil '((:vlr-saveComplete . SetSaveFormat)))


(SetSaveFormat) ; auto run on loading